## python-opentracing 2.4.0

=== Makefile ===
project := opentracing

pytest := PYTHONDONTWRITEBYTECODE=1 py.test --tb short -rxs \
	--cov-config .coveragerc --cov $(project) tests

html_report := --cov-report=html
test_args := --cov-report xml --cov-report term-missing

.PHONY: clean-pyc clean-build docs clean testbed
.DEFAULT_GOAL : help

help:
	@echo "bootstrap - initialize local environement for development. Requires virtualenv."
	@echo "clean - remove all build, test, coverage and Python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-test - remove test and coverage artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "testbed - run testbed scenarios with the default Python"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "dist - package"
	@echo "install - install the package to the active Python's site-packages"

check-virtual-env:
	@echo virtual-env: $${VIRTUAL_ENV?"Please run in virtual-env"}

bootstrap: check-virtual-env
	pip install -r requirements.txt
	pip install -r requirements-test.txt
	python setup.py develop

clean: clean-build clean-pyc clean-test

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -rf {} +

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	rm -f .coverage
	rm -f coverage.xml
	rm -fr htmlcov/

lint:
	flake8 $(project) tests

test:
	$(pytest) $(test_args)

testbed:
	PYTHONDONTWRITEBYTECODE=1 python -m testbed

jenkins:
	pip install -r requirements.txt
	pip install -r requirements-test.txt
	python setup.py develop
	CLAY_CONFIG=config/test.yaml $(pytest) $(test_args) --junit-xml=jenkins.xml

coverage:
	coverage run --source $(project) setup.py test
	coverage report -m
	coverage html
	open htmlcov/index.html

docs:
	pip show -q opentracing || python setup.py develop
	$(MAKE) -C docs clean
	$(MAKE) -C docs html

release: clean
	@echo Please see README
#	python setup.py sdist upload
#	python setup.py bdist_wheel upload

dist: clean
	@echo Please see README
#	python setup.py sdist
#	python setup.py bdist_wheel
#	ls -l dist

install:
	pip install -r requirements.txt
	pip install -r requirements-test.txt
	echo skipping pip install -r requirements-doc.txt
	python setup.py install

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = opentracing-python
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-opentracing 2.3.0

=== debian/changelog ===
python-opentracing (2.3.0-2) unstable; urgency=medium

  * Team upload
  * Source-only upload to migrate this to testing.

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 04 Apr 2020 01:49:53 +0530

python-opentracing (2.3.0-1) unstable; urgency=medium

  * New upstream release 2.3.0.

 -- Fabrice BAUZAC <noon@mykolab.com>  Sun, 08 Mar 2020 01:08:49 +0100

python-opentracing (2.2.0-1) unstable; urgency=low

  * Initial release (Closes: #942069)

 -- Fabrice BAUZAC <noon@mykolab.com>  Wed, 12 Feb 2020 23:12:58 +0100

=== debian/control ===
Source: python-opentracing
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Fabrice BAUZAC <noon@mykolab.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (=12),
               dh-python,
               python3-all,
               python3-doc,
               python3-docutils,
               python3-gevent,
               python3-mock,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-tornado,
               texinfo
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-opentracing
Vcs-Git: https://salsa.debian.org/python-team/modules/python-opentracing.git
Homepage: https://github.com/opentracing/opentracing-python
Rules-Requires-Root: no

Package: python3-opentracing
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-opentracing-doc
Description: opentracing interface for Python
 This library is a Python platform API for OpenTracing.
 .
 It allows Python programs to interact with an OpenTracing server.
 .
 This package contains the Python3 libraries.

Package: python-opentracing-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: opentracing interface for Python - documentation
 This library is a Python platform API for OpenTracing.
 .
 It allows Python programs to interact with an OpenTracing server.
 .
 This package contains the documentation.

## python-opentracing 2.4.0

=== debian/changelog ===
python-opentracing (2.4.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Thomas Goirand ]
  * Fix FTBFS (Closes: #1026729):
    - Add use-mock-form-unittest.patch.
    - Add remove-the-use-of-six.patch.
    - Add remove-asyncio-coroutine-decorator.patch.
  * Ran wrap-and-sort -bastk.
  * Add myself as uploader.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Aug 2024 16:21:04 +0200

python-opentracing (2.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Fabrice BAUZAC ]
  * Switch to debhelper 13.
  * New upstream version 2.4.0.
  * Disable the tests of the gevent scope manager until #974051 is
    fixed.  (Closes: 973162)

 -- Fabrice BAUZAC <noon@mykolab.com>  Sun, 22 Nov 2020 16:32:44 +0100

=== debian/control ===
Source: python-opentracing
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Fabrice BAUZAC <noon@mykolab.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (=13),
 dh-python,
 python3-all,
 python3-doc,
 python3-docutils,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 texinfo,
Build-Depends-Indep:
 python3-gevent,
 python3-pytest,
 python3-tornado,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-opentracing
Vcs-Git: https://salsa.debian.org/python-team/packages/python-opentracing.git
Homepage: https://github.com/opentracing/opentracing-python
Rules-Requires-Root: no

Package: python3-opentracing
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-opentracing-doc,
Description: opentracing interface for Python
 This library is a Python platform API for OpenTracing.
 .
 It allows Python programs to interact with an OpenTracing server.
 .
 This package contains the Python3 libraries.

Package: python-opentracing-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: opentracing interface for Python - documentation
 This library is a Python platform API for OpenTracing.
 .
 It allows Python programs to interact with an OpenTracing server.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = opentracing

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=pybuild

	# Remove pytest leftovers.
	rm -rf .pytest_cache

	# Remove sphinx-generated files.
	rm -rf docs/_build

	# Remove generated coverage files.
	rm -f .coverage coverage.xml

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build -O--buildsystem=pybuild

	# Generate the HTML and Info documentation.
	$(MAKE) -C docs html info PYTHONPATH=..

override_dh_installdocs:
	dh_installdocs -O--buildsystem=pybuild --doc-main-package=python3-opentracing --package=python-opentracing-doc
	dh_installdocs -O--buildsystem=pybuild --remaining-packages

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%opentracing-python-$1.tar.gz%" \
    https://github.com/opentracing/opentracing-python/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
